Subject: bug#76986: [PATCH] Simplify and improve indent rules in 'lua-ts-mode'

From: [email-masked]
Date: Wed, 12 Mar 2025 16:26:30 -0500

This replaces some custom indent rules with the implementation
from c-ts-common-baseline-indent-rule and improves the consistency
of indentation for IIFEs.